import request from '@/utils/request'

// 查询用户下注记录列表
export function listBetting(query) {
  return request({
    url: '/business/betting/list',
    method: 'get',
    params: query
  })
}

// 查询用户下注记录列表
export function listHistoryWeb(query) {
  return request({
    url: '/business/betting/listHistoryWeb',
    method: 'post',
    params: query
  })
}

// 查询用户下注记录列表
export function staticsWeb(query) {
  return request({
    url: '/business/betting/staticsWeb',
    method: 'post',
    params: query
  })
}

// 查询用户下注记录详细
export function getBetting(id) {
  return request({
    url: '/business/betting/' + id,
    method: 'get'
  })
}

// 新增用户下注记录
export function addBetting(data) {
  return request({
    url: '/business/betting',
    method: 'post',
    data: data
  })
}

// 修改用户下注记录
export function updateBetting(data) {
  return request({
    url: '/business/betting',
    method: 'put',
    data: data
  })
}

// 删除用户下注记录
export function delBetting(id) {
  return request({
    url: '/business/betting/' + id,
    method: 'delete'
  })
}
